Instalando drivers de video ATI en Ubuntu 12.04

Introducción

Hay dos formas de poder instalar los driver fglrx propietarios. El metodo recomendado, es usar los drivers que estan en los repositorios de Ubuntu. Los usuarios avanzados pueden instalar los drivers de la pagina de AMD/ATI, estos drivers estan mas actualizados que los que se encuentran en los repositorios.


Antes de empezar

Antes de instalar el driver debemos verficar si este existe para nuestra placa:
1. Debemos ir al sitio de descargas de AMD.
2. Ingresar los detalles de nuestra placa (si no sabes cual es, escribe esto en la terminal: lspci | grep VGA)
3. Verificar si el driver fglrx soportan nuestro modelo de placa


Instalación

Usando los repositorios de Ubuntu:


Esta es la manera mas sencilla de instalar el driver, Ingresamos al dash y tecleamos "Controladores adicionales", esto abrira el administrador de controladores de Hardware de Ubuntu, una vez alli tenemos la posibilidad de descargar dos tipos de drivers: "Controlador gráfico FGLRX privativo para ATI/AMD" y "Controlador gráfico FGLRX privativo para ATI/AMD (actualizaciones post lanzamiento)", luego de investigar en foros es recomendable que se use la parte de "Controlador gráfico FGLRX privativo para ATI/AMD", cabe aclarar que no se pueden tener las dos opciones instaladas. Una vez descargado e instalado el driver, reinicia tu maquina.
Para ver que el driver funciona correctamente escribe en terminal:

fglrxinfo

Deberías ver algo parecido a esto:

fglrxinfo
display: :0  screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 4300/4500 Series       
OpenGL version string: 3.3.11399 Compatibility Profile Context



Instalación manual del driver Catalyst 12.4

Nota: si tienes una versión previa de los drivers Catalyst, hay que desinstalarla. Para ello escribimos en consola:

sudo sh ./usr/share/ati/fglrx-uninstall.sh

luego reiniciamos.


1. Descarga los drivers desde el sitio oficial de ATI. Para evitar complicaciones, descarga este archivo en un directorio vacio.

2. Necesitamos descargar librerías adicionales para "compilar" el driver. Vamos a la terminal:
Si tienes una version previa a Ubuntu 11.10

sudo apt-get install libqtgui4

Para Ubuntu 11.10 o 12.04

sudo apt-get install dh-make dh-modaliases execstack

Si tu sistema es de 64 bits, instalamos:

sudo apt-get install  lib32gcc1 libc6-i386

Nota: esto no es necesario si estas corriendo Kubuntu.


3. Para instalar el driver, desde la terminal navegamos hacia la carpeta donde descargamos el driver y luego colocamos lo siguiente:

Para Ubuntu 11.10

sudo sh amd-driver-installer-12-4-x86.x86_64.run --buildpkg Ubuntu/oneiric


Para Ubuntu 12.04

sudo sh amd-driver-installer-12-4-x86.x86_64.run --buildpkg Ubuntu/precise

Si es requerido, aparecerá una ventana que instalara algunas dependencias y luego se crearan tres archivos .deb


4. Ahora instalaremos los .deb que se crearon en nuestra carpeta, para ello escribimos en terminal:

sudo dpkg -i *.deb


5. Luego de la instalación, configuramos nuestro nuevo programa, acto seguido reiniciamos el sistema:

sudo aticonfig --initial

Para ver que el driver funciona correctamente escribe en terminal:

fglrxinfo

Deberías ver algo parecido a esto:

[color=#000000]display: :0  screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 4300/4500 Series       
OpenGL version string: 3.3.11631 Compatibility Profile Context[/color]



Eso ha sido todo amigos, cualquier problema no duden en preguntar. Espero que les sirva tanto como a mi. ¡Un saludo para todos!

Comentarios Destacados

@Grmann +48
DMI7RI dijo:Que poronga, todo eso para instalar unos Drivers de Video??? Dejate de joder... Bienvenido al Sigo XXI

Si te fijas bien, en la primera parte lo único que tenes que hacer es ir a la aplicación "Controladores de hardware" y apretar el botoncito que dice instalar, la segunda opcion es un poco mas "personalizada". Bienvenido al mundo de la lectura

43 comentarios - Instalando drivers de video ATI en Ubuntu 12.04

@Ferchos +7
Los instalé de 500 formas diferentes, y el desempeño es malísimo.
Por ahora sigo con los libres, pero gracias igual!
@gus_y22 +1
no se si funciona, ni tengo ati, pero si linux, y te dejo puntos por aportar. PD: ta bueno el post.
@A4driano
Hey, no sabes si ya existe soporte para Nvidia 6150 Geforce nforce 430 256 mb; integrada? Había instalado el Ubuntu 12.04 LTS pero tuve problemas con esa tarjeta; saludos!
@A4driano
Grmann dijo:
A4driano dijo:Hey, no sabes si ya existe soporte para Nvidia 6150 Geforce nforce 430 256 mb; integrada? Había instalado el Ubuntu 12.04 LTS pero tuve problemas con esa tarjeta; saludos!

La verdad es que nunca use Nvidia, acabo de buscar en la pagina y este es el driver que aparece para tu tarjeta de video

http://la.nvidia.com/content/DriverDownload-March2009/confirmation.php?url=/XFree86/Linux-x86/295.53/NVIDIA-Linux-x86-295.53.run&lang=la&type=GeForce


Descargalo y si no lo podes instalar comentalo y te ayudo


OK, tendría que actualizar VirtualBox poque actualmente tengo el 10.04; gracias. Al rato lo pruebo y te digo =P
@DMI7RI -33
Que poronga, todo eso para instalar unos Drivers de Video??? Dejate de joder... Bienvenido al Sigo XXI
@Grmann +48
DMI7RI dijo:Que poronga, todo eso para instalar unos Drivers de Video??? Dejate de joder... Bienvenido al Sigo XXI

Si te fijas bien, en la primera parte lo único que tenes que hacer es ir a la aplicación "Controladores de hardware" y apretar el botoncito que dice instalar, la segunda opcion es un poco mas "personalizada". Bienvenido al mundo de la lectura
@lucasromerodb0 +6
Grmann dijo:
DMI7RI dijo:Que poronga, todo eso para instalar unos Drivers de Video??? Dejate de joder... Bienvenido al Sigo XXI

Si te fijas bien, en la primera parte lo único que tenes que hacer es ir a la aplicación "Controladores de hardware" y apretar el botoncito que dice instalar, la segunda opcion es un poco mas "personalizada". Bienvenido al mundo de la lectura

Jjajaja sos un capo!!
@cegr88
Que tal con las HD 6320 que vienen con los vision E2?
Una vez lo probé pero iba muy mal, en cambio el libre con el que viene no tiene problemas.
@isidro1992
capo si al .run que descargas desde la pagina de amd le das permiso de ejecucion luego le haces doble click y seleccionas ejecutar en un terminal te instala todo de una forma muy elegante casi como un instalador de windows, eso si despues de instalarlo te pide que insertes un comando en la consola y reinicies el sistema
@mp321 +1
Ferchos dijo:Los instalé de 500 formas diferentes, y el desempeño es malísimo.
Por ahora sigo con los libres, pero gracias igual!


jejeje igual mejor los libres y debian
@lucasromerodb0
a mi con los drivers privativos me anda fulero, con los libre me anda 9 puntos!
@A4driano
A4driano dijo:
Grmann dijo:
A4driano dijo:Hey, no sabes si ya existe soporte para Nvidia 6150 Geforce nforce 430 256 mb; integrada? Había instalado el Ubuntu 12.04 LTS pero tuve problemas con esa tarjeta; saludos!

La verdad es que nunca use Nvidia, acabo de buscar en la pagina y este es el driver que aparece para tu tarjeta de video

http://la.nvidia.com/content/DriverDownload-March2009/confirmation.php?url=/XFree86/Linux-x86/295.53/NVIDIA-Linux-x86-295.53.run&lang=la&type=GeForce


Descargalo y si no lo podes instalar comentalo y te ayudo


OK, tendría que actualizar VirtualBox poque actualmente tengo el 10.04; gracias. Al rato lo pruebo y te digo =P


Ando limitado en VM, supongo yo que al rato podría solucionarse; o me pasaría a Debian o a alguna de sus otras distros. Saludos!
@A4driano
A4driano dijo:
A4driano dijo:
Grmann dijo:
A4driano dijo:Hey, no sabes si ya existe soporte para Nvidia 6150 Geforce nforce 430 256 mb; integrada? Había instalado el Ubuntu 12.04 LTS pero tuve problemas con esa tarjeta; saludos!

La verdad es que nunca use Nvidia, acabo de buscar en la pagina y este es el driver que aparece para tu tarjeta de video

http://la.nvidia.com/content/DriverDownload-March2009/confirmation.php?url=/XFree86/Linux-x86/295.53/NVIDIA-Linux-x86-295.53.run&lang=la&type=GeForce


Descargalo y si no lo podes instalar comentalo y te ayudo


OK, tendría que actualizar VirtualBox poque actualmente tengo el 10.04; gracias. Al rato lo pruebo y te digo =P


Ando limitado en VM, supongo yo que al rato podría solucionarse; o me pasaría a Debian o a alguna de sus otras distros. Saludos!


Lo pude solucionar, ya tengo el controlador. =)
@asalabra2 +1
Buena data para tener en cuenta
@Cheese_Maniac +2
Me caga el Gnome3, ahora pruebo en alguna VM a ver si lo puedo solucionar.
Mientras tanto fav y +10
@cchaires +1
Me sirvió para la tarjeta gráfica integrada de una ATI RADEON HD 4250 de mi ASUS M5A88-V EVO

Gracias
@cchaires
Grmann dijo:
cchaires dijo:Me sirvió para la tarjeta gráfica integrada de una ATI RADEON HD 4250 de mi ASUS M5A88-V EVO

Gracias

Me alegra que te sirva, gracias a vos por comentar y por los puntos. Un saludo


Por cierto lo probé en Kubuntu 12.04 LTS
@BlaGer
A favoritos... después intento instalarlos...
Lo intente de la forma "sencilla" y me tiro un error... el 12.04 esta llendo de bugs... tienen que arreglarlo.
@dimitryx05 +1
Lo guardare en favoritos, tengo una tarjeta AMD HD Radeon 6670 y me gustaria instalar Ubuntu en mi PC, ya que en la PC del trabajo tengo Ubuntu 12.04, Linux Mint 13 Mate y Windows 7, pero sin tarjeta grafica, pero quisiera usar Ubuntu en mi PC personal y no sabia como instalar los drivers , muchas gracias por el aporte, te dejo +10...
@Sawa-Kun +1
Gracias por el aporte, súper útil, +10
@jaimesbeni
hola.

te felicito por el post esta bien detallado, quizás a lo mejor me puedas ayudar con tarjeta, tengo instalado ubuntu 13.04, y tengo una tarjeta ati radeon sapphire x1550, en la web de ati me descargue el catalys 9.3 por que las versiones nuevas no soporta la tarjeta, he realizado los mil y un intente para instalarlos, pero no encuentro solución, siempre aparece un error que impide la instalación.

leyendo tu post veo que en las instrucciones en la terminal deben colocar
Ubuntu/oneiric
Ubuntu/precise
dependiendo la distribución, en este caso ubuntu 13.04 como se hace, colocamos Ubuntu/Raring Ringtail.

sudo fglrxinfo
fglrxinfo: orden no encontrada

lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV515 [Radeon X1300/X1550]

me descargue el archivo ati-driver-installer-9-3-x86.x86_64.run desde la ati, le otorgue permiso e incluso recorte el nombre ati_64.run, cuando lo ejecuto me arroja lo siguiente:

Usuario-desktop:~/Descargas$ sudo sh ./ati_64.run --buildpkg
password for Usuario:
Created directory fglrx-install.GY9c5M
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.593...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
Error: Packaging scripts failed to identify current distro/version. Please provide a distro/version from --listpkg as a parameter
Removing temporary directory: fglrx-install.GY9c5M
Usuario-desktop:~/Descargas$

agradesco la ayuda que me puedas prestar.
@Grmann +1
Hola, gracias.
Primero fijate en esto:


dependiendo la distribución, en este caso ubuntu 13.04 como se hace, colocamos Ubuntu/Raring Ringtail.



Ahi deberia corregir, no seria "Raring Ringtail", sino ringtail (asi solo y con minusculas).

Respecto a lo fglrxinfo te dice "no encontrado" debido a que no esta instalado, este paquete se instala cuando instalas el controlador.

Y en cuanto al ultimo error parece ser que el controlador no puede identificar la distribucion que estas utiliz
@jaimesbeni
@Grmann gracias por el dato, voy a probar.

esto lo vi en la web ubuntu peronista intente realizarlo.

Usuario-desktop:~/Descargas$ sudo sh ./ati_64.run
password for Usuario:
Created directory fglrx-install.yQ5Bff
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.593............................................................................................................................................................................................
@jaimesbeni
estoy que tiro la toalla, en la web de ati indica que el archivo que descargue es el recomendad pero no dan soporte para Ubuntu, el caso es que se ve bien pero cuando ejecuto supertux la imagen del juego se distorsiona no se logra ver bien, las películas se ven bien y los juegos de facebook y vídeos de youtube todo se ve bien, pero tux y no se si otro game que descargue.

dentro de poco sale Ubuntu 13.10 y no he podido solucionar el video en el 13.04, me estoy convenciendo que el controlador
@xxdantexx5
como instalar un driver en donde el FGLRX no esta soportado? :s

bueno soy noob en esto instale recien el ubuntu. pero me voy al dash ingreso eso de controladores adicionales no aparece nada. pero en el centro de software de ubuntu si me aparecio uno que se llama "aditional drivers" es el mismo traducido. lo instale pero cuando lo ejecuto solo aparece el controlador broadcom. nada mas. entonces significa que mi tarjeta no soporta el FGLRX?
@Faq1494 +1
http://wiki.cchtml.com/index.php/Hardware

Fijate ahí si está soportada tu tarjeta. En caso de que no esté soportada, no creo que tengas problemas en usar los libres.

Yo también uso ATI y tuve varios dolores de cabeza cuando empecé en linux, más todavía porque es una ATI viejita (radeon HD 3200). En mi caso, tuve que manejarme con los libres.
@xxdantexx5
@Faq1494 la mia es 4225 y ni ahi aparece haha. resulta que no me quize armar problemas y me dio por probar el linux pear 5 y resulta que trae la opcion por defecto de controladores adicionales, cosa que el ubuntu raring habia que instalarlo, y bueno resulta que en el linux pear si me aparece para instalar el "Controlador gráfico FGLRX" lo instale y ya me coge la resolucion nativa ahora tengo que intentar instalar el cataclysm a ver si me coge.
@xxdantexx5
El ubuntu raring 13.0 yonoseque me saco canas no pude nunca, ni echando codigo como loco 2 dias de seguido, pero con el pear linux 5 me funciono de lujo el tuto +10 bro.
@gabavaga +1
Excelente aporte, muchas gracias!
@cipoleto
Pregunta: cuando tiro el siguiente comando me salen esas dos placas de videos...
~$ lspci | grep VGA
00:01.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Richland [Radeon HD 8650G]
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Mars [Radeon HD 8670A/8750M]


una vendria a ser la integrada?? y la segunda que modelo seria?? 8670A o 8750M que significan las siglas??
@joakoej
tengo intel, problem?
@mcongom
Buenas a todos, probé instalando los drivers privativos pero como rendimiento no es bueno volví a los drivers libres. Los videos se ven muy bien, pero no tengo sonido cuando conecto por HDMI. Probe cambiando el HW por default en la configuración de sonido, pero sigo sin escuchar nada. Alguna idea?
@AlexFierro
Hola! Acabo de instalar Ubuntu 13.10. Estoy usando los controladores que trae el sistema.
¿Los propietarios serán mejores? ¿Si lo pruebo y veo que no me resultan, puedo volver a los del sistema?
No pienso usar el sistema para juegos.
Gracias por la info!!
@erikson879
Hola a todos y felicitaciones por el post @Grmann, amigos tengo gran problema con el driver que por defecto que instala Ubuntu 12.04 a mi tarjeta ati radeon x1550..... el rendimiento es pésimo y peor el congelamiento de pantalla, se guinda la maquina impidiendo hacer cualquier operación de recuperación, algunas veces pantalla negra o morada al inicio... en fin muy muy molesto...he intentado con el .run que tienes en tu post y el que esta en la pagina de ati...son archivos diferentes y con ambas tengo problemas me dice que hay errores con un simbolo "<" y ademas muestra un encabezado de un html no se porque es esto o como solucionar y probar esos driver....espero me puedan ayudar, ya que no tengo mucho presupuesto y me gustaría resolver esto, también comprendo y he leído que ati dejo de hacer soporte a estas tarjetas, pero bueno quiero encontrar la solución, muchas gracias
@erikson879
OJO, cuando de con la solución estaré de vuelta explicando mi experiencia
@silvio91he
Me sirvio de 10 con una ati radeon hd 4200 onboar en si se instalo sola, solo actualice los paquetes y baje el controlador e instale como cualquier otro controlador van +10
@ryofre
Hola a todos.
Tengo en casa 3 netbook Eee PC 1201t, que tenían Windows 7 Starter y las reemplacé a todas con Ubuntu/Lubuntu.
Tengo un problema con la tarjeta gráfica ATI Radeon HD 3200.
Los videos en Netflix se ven en cámara lenta y se escucha fuera de escena.
Yo no soy un experto en Linux, pero he estado aprendiendo algo, producto de este problema.
Tengo un amigo que entiende, pero tiene poco tiempo (por un problema de salud) para ayudarme a buscar.
Si no entendí mal, hubo un problema a partir de la versión de Ubuntu 12.04 (es decir a 12.10 ya tenía este problema).
Algo relacionado con el Xorg 1.13 y un catalyst, que ya en la versión 12.10 lleva Xorg 1.12.
También hay algo con el fglrx Legacy 12.06.
La verdad es que recurro a vos, porque ya no sé cómo solucionar esto, y si no las arreglo en breve tendré que volver a Windows.
Mis hijos, mi mujer y yo nos hemos enamorado de Ubuntu y Lubuntu, y no queremos volver al trágico Windows.
Tiene esto solución?
Serían tan amables de decirme cómo, así mi amigo que está enfermo y tiene poco tiempo, me lo puede arreglar?
Desde ya les agradezco enormemente su ayuda.
Saludos desde Argentina.
Ricardo.
@Nairan +1
Hola a todos, de antemano se que casi nunca intervengo en los posts y casi no participo en los comentarios, pero debo admitir que fue irresistible comentar mi experiencia al instalar los drivers privativos, es por eso que me tomo el atrevimiento para narrar lo siguiente:

Yo he instalado en varias ocasiones los diferentes drivers desde la versoin 12.1 hasta la 14, de tarjetas de video ATI, en diferentes versiones de Ubuntu y en mi caso, tomando por ejemplo la tarjeta de video de low-profile modelo HD5450, he comprobado que el driver 12.1 funciona a la perfeccion desde la version de Ubuntu 10.04 hasta la mas actual, pero he instalado el driver mas actual para esa misma tarjeta de video, en cualquiera de las versiones de Ubuntu antes mencionadas y debo decir que tiene un mal desempeño, es por eso que me gustaria tomarme el atrevimiento de aconsejar, revisen en que año salio el modelo de sus placas de video ATI, a
@Nairan +1
a fin de que hagan un cotejo entre la fecha de release del driver que necesitan, asi, tomando en cuenta dicha comparativa, escojan la que mas se acerque a la fecha en que salio a la venta y/o se fabrico dicho dispositivo de video, hagan una prueba y veran que (posiblemente), logren hacer que funcione de una mejor manera su placa de video, en cuanto a las razones de porque los corporativos de AMD tienen este comportamiento que he advertido con anterioridad, lo desconozco al 100 % y bueno esta fue mi humilde aportacion ante este post tan bien elaborado, espero que les sirva de ayuda, hasta luego, saludos.